<div class="container">
  <div class="row">
    <div class="col-md-4 offset-md-4 p-0">
      <div class="card card-login">
        <form name="loginForm" [formGroup]="loginForm" novalidate>
          <div class="card-header text-center">
            <h4 class="card-title">Officer Login</h4>
          </div>

          <div class="card-content">

            <mat-form-field>
              <input matInput placeholder="Email Address" formControlName="username">
            </mat-form-field>

            <mat-form-field>
              <input matInput type="password" placeholder="Password" formControlName="password">
            </mat-form-field>
            <div class="red-text" *ngIf="errorMessageFlag">
              {{errorMessage}}
            </div>

          </div>
          <div class="footer">
            <div class="row text-center">
              <div class="col-md-12">
                <button type="submit" class="btn login-button" [disabled]="loginForm.invalid"
                  (click)="login()">Login</button>
              </div>

            </div>

          </div>
        </form>
      </div>
    </div>
  </div>
</div>
